SoftwareVersion (Grails 6.0.0)

Package: grails.doc.dropdown

## [Groovy] Class SoftwareVersion

- grails.doc.dropdown.SoftwareVersion

- All Implemented Interfaces and Traits:
    java.lang.Comparable<SoftwareVersion>

      class SoftwareVersion
      extends java.lang.Object
      implements java.lang.Comparable<SoftwareVersion>

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private int` | `major` |
    `private int` | `minor` |
    `private int` | `patch` |
    `private Snapshot` | `snapshot` |
    `private java.lang.String` | `versionText` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `major`
    `int` | `minor`
    `int` | `patch`
    `Snapshot` | `snapshot`
    `java.lang.String` | `versionText`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SoftwareVersion ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static SoftwareVersion` | `build(java.lang.String version)`
    `` | `int` | `compareTo(SoftwareVersion o)`
    `` | `boolean` | `isSnapshot()`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private int major

    - #### private int minor

    - #### private int patch

    - #### private Snapshot snapshot

    - #### private java.lang.String versionText

  - ### Property Detail

    - #### int major

    - #### int minor

    - #### int patch

    - #### Snapshot snapshot

    - #### java.lang.String versionText

  - ### Constructor Detail

    - #### SoftwareVersion()

  - ### Method Detail

    - #### static SoftwareVersion build(java.lang.String version)

    - #### @java.lang.Override int compareTo(SoftwareVersion o)

    - #### boolean isSnapshot()

    - #### @java.lang.Override java.lang.String toString()